List booking sources
curl --request GET \
--url https://api.bookingshake.io/api/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bookingshake.io/api/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bookingshake.io/api/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"value": "JKd8f3mP2xQw",
"label": "Site web"
},
{
"value": "NmR5t9Kl3zXc",
"label": "Téléphone"
},
{
"value": "Qz7Hp4Ln8wYt",
"label": "Email"
},
{
"value": "Vb2Mx6Nk9rPq",
"label": "Sur place"
}
]{
"message": "invalid token"
}{
"message": "Rate limit exceeded",
"data": {
"limit": 60,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}{
"message": "error"
}Resources
List booking sources
Retrieve all booking sources (channels) available for your venue. Sources represent where bookings originate from (e.g., Website, Phone, Email, Walk-in).
GET
/
sources
List booking sources
Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
⌘I
